commit:     479df1b5e3788094b41b13d71857deae9351a8e9
Author:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  5 04:54:41 2020 +0000
Commit:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
CommitDate: Sat Dec  5 04:54:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=479df1b5

app-misc/recoll: Bump to 1.27.12

Signed-off-by: Erik Mackdanz <stasibear <AT> gentoo.org>
Closes: https://bugs.gentoo.org/722268
Closes: https://bugs.gentoo.org/729402
Closes: https://bugs.gentoo.org/729414
Closes: https://bugs.gentoo.org/696690
Package-Manager: Portage-3.0.11, Repoman-3.0.2

 app-misc/recoll/Manifest              |   1 +
 app-misc/recoll/recoll-1.27.12.ebuild | 135 ++++++++++++++++++++++++++++++++++
 2 files changed, 136 insertions(+)

diff --git a/app-misc/recoll/Manifest b/app-misc/recoll/Manifest
index 9c13790a98f..242d57acd82 100644
--- a/app-misc/recoll/Manifest
+++ b/app-misc/recoll/Manifest
@@ -1 +1,2 @@
 DIST recoll-1.25.19.tar.gz 2845683 BLAKE2B 
745eac2dd3208619e173abba78f1e03186cdb5deb363c30728184a9d826c698d8e088cc0420178754131792f0d933f395a4fdb209a4315888b733a1209644580
 SHA512 
d56aff810e335f8212b908118de8fe12fc8d8f8341ebc281244c00dfe2216e008c655f4d39955b6c71928a28ea0aea073036fed17be5b80e8443fe6dfbe374f6
+DIST recoll-1.27.12.tar.gz 3184471 BLAKE2B 
60bcdee44259fa7f8b9decb9258ca0dae4edbf0cee1e8b1353cb59418503f0fcea9b439ecd6352500ff5b4cccfae08fc2a3f7f786fbd096cf18fd21fb809705b
 SHA512 
3701dff056b8200f3b3c1bb2acaa69356c0def00959a0b74c14e1d500bd9e05fc81d82ce8b7db59d7e5b85617a8a7197700031aab65b31e005a4fedeaff59e97

diff --git a/app-misc/recoll/recoll-1.27.12.ebuild 
b/app-misc/recoll/recoll-1.27.12.ebuild
new file mode 100644
index 00000000000..0118eba0215
--- /dev/null
+++ b/app-misc/recoll/recoll-1.27.12.ebuild
@@ -0,0 +1,135 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9} )
+
+inherit eutils linux-info python-single-r1 qmake-utils
+
+DESCRIPTION="A personal full text search package"
+HOMEPAGE="https://www.lesbonscomptes.com/recoll/";
+SRC_URI="https://www.lesbonscomptes.com/recoll/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="camelcase chm doc +inotify qt5 session +spell webengine"
+REQUIRED_USE="
+       session? ( inotify )
+       webengine? ( qt5 )
+       ${PYTHON_REQUIRED_USE}
+"
+
+DEPEND="
+       dev-libs/xapian:=
+       sys-libs/zlib:=
+       virtual/libiconv
+       chm? (
+               dev-libs/chmlib
+               dev-python/pychm
+       )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtprintsupport:5
+               webengine? ( dev-qt/qtwebengine:5[widgets] )
+       )
+       session? (
+               inotify? (
+                       x11-libs/libSM
+                       x11-libs/libICE
+                       x11-libs/libX11
+               )
+       )
+       spell? ( app-text/aspell )
+       ${PYTHON_DEPS}
+"
+
+BDEPEND="
+       qt5? ( dev-qt/linguist-tools:5 )
+"
+
+RDEPEND="
+       ${DEPEND}
+       app-arch/unzip
+"
+
+pkg_pretend() {
+       if has_version "<app-misc/recoll-1.20"; then
+               elog "Installing ${PV} over an 1.19 index is possible,"
+               elog "but there have been small changes in the way"
+               elog "compound words are indexed. So it is best to reset"
+               elog "the index. The best method to reset the index is to"
+               elog "quit all recoll programs and delete the index directory"
+               elog "rm -rf ~/.recoll/xapiandb, then start recoll or 
recollindex."
+       fi
+}
+
+pkg_setup() {
+       if use inotify; then
+               local CONFIG_CHECK="~INOTIFY_USER"
+               check_extra_config
+       fi
+       python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+       python_fix_shebang filters
+}
+
+src_configure() {
+       use qt5 && export QMAKE="$(qt5_get_bindir)/qmake"
+
+       local myeconfargs=(
+               $(use_enable camelcase)
+               $(use_enable chm python-chm)
+               $(use_enable session x11mon)
+               $(use_enable qt5 qtgui)
+               $(use_enable webengine)
+               $(use_with inotify)
+               $(use_with spell aspell)
+               --disable-webkit
+               --without-fam
+               --enable-recollq
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake STRIP="$(type -P true)" DESTDIR="${D}" install
+       python_optimize
+
+       # html docs should be placed in /usr/share/doc/${PN}/html
+       use doc && dodoc -r "${ED}"/usr/share/recoll/doc/.
+       rm -r "${ED}/usr/share/recoll/doc" || die
+       find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+       elog "In order to extract the full functionality of "
+       elog "recoll, the following packages should be installed "
+       elog "to get the corresponding document support."
+
+       optfeature "XML based documents support"    "dev-libs/libxslt[python] 
dev-libs/libxml2[python]"
+       optfeature "PDF files support"              app-text/poppler
+       optfeature "PDF files with OCR support"     app-text/tesseract
+       optfeature "MS Word files support"          app-text/antiword
+       optfeature "Wordperfect files support"      "app-text/libwpd[tools]"
+       optfeature "Lyx files support"              app-office/lyx
+       optfeature "GNU Info files support"         sys-apps/texinfo
+       optfeature "RAR archives support"           dev-python/rarfile
+       optfeature "7zip archives support"          dev-python/pylzma
+       optfeature "iCalendar files support"        dev-python/icalendar
+       optfeature "Postscript files support"       app-text/pstotext
+       optfeature "RTF files support"              app-text/unrtf
+       optfeature "TeX files support"              dev-text/detex
+       optfeature "DVI files support"              virtual/tex-base
+       optfeature "DJVU files support"             app-text/djvu
+       optfeature "tags in audio files support"    media-libs/mutagen
+       optfeature "tags in image files support"    media-libs/exiftool
+       optfeature "Midi karaoke files support"     dev-python/chardet
+}

Reply via email to